[pkg-gnupg-maint] Bug#920892: gnupg2: Add a simple autopkgtest

Julian Andres Klode jak at debian.org
Wed Jan 30 10:48:50 GMT 2019


Package: gnupg2
Version: 2.2.12-1
Severity: normal
Tags: patch
User: ubuntu-devel at lists.ubuntu.com
Usertags: origin-ubuntu disco ubuntu-patch



*** /tmp/tmpRYyvs5/bug_body

In Ubuntu, the attached patch was applied to achieve the following:

Get a useful autopkgtest that actually tests what we're using rather than
the useless (for us) gpgv-win32 one.

You probably want to keep the gpgv-win32 test, but it would make sense
to have this autopkgtest as well, to actually get some testing of the
stuff the package ships - which is what autopkgtests are for.

  * Drop the gpgv-win32 test, and add some simple tests for gpg{,v} instead


Thanks for considering the patch.

*** /tmp/tmpRYyvs5/gnupg2_2.2.12-1ubuntu3.debdiff
diff -Nru gnupg2-2.2.12/debian/control gnupg2-2.2.12/debian/control
--- gnupg2-2.2.12/debian/control	2018-12-15 06:18:13.000000000 +0100
+++ gnupg2-2.2.12/debian/control	2019-01-30 11:39:21.000000000 +0100
@@ -1,8 +1,7 @@
 Source: gnupg2
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss at lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GnuPG Maintainers <pkg-gnupg-maint at lists.alioth.debian.org>
+Maintainer: Debian GnuPG Maintainers <pkg-gnupg-maint at lists.alioth.debian.org>
 Uploaders:
  Eric Dorland <eric at debian.org>,
  Daniel Kahn Gillmor <dkg at fifthhorseman.net>,
diff -Nru gnupg2-2.2.12/debian/tests/control gnupg2-2.2.12/debian/tests/control
--- gnupg2-2.2.12/debian/tests/control	2018-12-15 06:18:14.000000000 +0100
+++ gnupg2-2.2.12/debian/tests/control	2019-01-30 11:38:58.000000000 +0100
@@ -1,3 +1,3 @@
-Tests: gpgv-win32
-Depends: gpgv-win32, gnupg2, gpgv2
-Restrictions: needs-root, allow-stderr
+Tests: simple-tests
+Depends: gnupg2, gpgv2
+Restrictions: allow-stderr
diff -Nru gnupg2-2.2.12/debian/tests/simple-tests gnupg2-2.2.12/debian/tests/simple-tests
--- gnupg2-2.2.12/debian/tests/simple-tests	1970-01-01 01:00:00.000000000 +0100
+++ gnupg2-2.2.12/debian/tests/simple-tests	2019-01-30 11:39:21.000000000 +0100
@@ -0,0 +1,34 @@
+#!/bin/sh
+
+set -e
+set -x
+
+DIR=$(mktemp -d)
+GPG_HOME=$DIR/gnupg
+gpg="gpg --homedir $GPG_HOME"
+
+mkdir $GPG_HOME
+chmod 700 $GPG_HOME
+
+#trap "cd $HOME && rm -rf $DIR" EXIT
+
+cd $DIR
+
+cat > key-batch << EOF
+Key-Type: default
+Subkey-Type: default
+Name-Real: test case
+Name-Email: example at example.com
+Expire-Date: 0
+%no-protection
+%commit
+EOF
+
+$gpg --batch --generate-key key-batch
+$gpg -abs < $GPG_HOME/pubring.kbx > pubring.kbx.asc
+$gpg --verify pubring.kbx.asc $GPG_HOME/pubring.kbx
+gpgv --keyring $GPG_HOME/pubring.kbx pubring.kbx.asc $GPG_HOME/pubring.kbx
+
+# Encrypt
+$gpg -e -r example at example.com < $GPG_HOME/pubring.kbx > pubring.kbx.gpg
+$gpg -d -r example at example.com < pubring.kbx.gpg > pubring.kbx.gpg.dec


-- System Information:
Debian Release: buster/sid
  APT prefers disco
  APT policy: (500, 'disco'), (500, 'cosmic-security')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 4.19.0-11-generic (SMP w/8 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), LANGUAGE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)
LSM: AppArmor: enabled

-- 
debian developer - deb.li/jak | jak-linux.org - free software dev
ubuntu core developer                              i speak de, en



More information about the pkg-gnupg-maint mailing list